summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--ChangeLog1
-rw-r--r--Makefile.in2
-rw-r--r--doc/makepkg.8.in7
-rwxr-xr-xscripts/gensync2
-rwxr-xr-xscripts/makepkg20
-rwxr-xr-xscripts/makeworld2
-rw-r--r--src/pacman.c12
-rw-r--r--src/pacman.h2
8 files changed, 27 insertions, 21 deletions
diff --git a/ChangeLog b/ChangeLog
index 18da1436..eb5428e8 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,6 @@
VERSION DESCRIPTION
------------------------------------------------------------------
+2.4.1 - Fixed a bug in makepkg's option parsing
2.4 - Added getopt-style options to makeworld
- Added -w <destdir> to makepkg
- makeworld now properly handles packages with --builddeps
diff --git a/Makefile.in b/Makefile.in
index 0cf29d35..85e0a627 100644
--- a/Makefile.in
+++ b/Makefile.in
@@ -34,7 +34,7 @@ INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
-PACVER = 2.4
+PACVER = 2.4.1
TOPDIR = @srcdir@
SRCDIR = $(TOPDIR)/src/
diff --git a/doc/makepkg.8.in b/doc/makepkg.8.in
index cb095485..8d8f8437 100644
--- a/doc/makepkg.8.in
+++ b/doc/makepkg.8.in
@@ -1,8 +1,8 @@
-.TH makepkg 8 "April 10, 2003" "makepkg #VERSION#" ""
+.TH makepkg 8 "April 19, 2003" "makepkg #VERSION#" ""
.SH NAME
makepkg \- package build utility
.SH SYNOPSIS
-\fBmakepkg [options] [build_script]\fP
+\fBmakepkg [options]\fP
.SH DESCRIPTION
\fBmakepkg\fP will build packages for you. All it needs is
a build-capable linux platform, wget, and some build scripts. The advantage
@@ -261,6 +261,9 @@ the \fB--force\fP switch.
.B "\-w <destdir>"
Write the resulting package file to the directory \fI<destdir>\fP instead of the
current working directory.
+.TP
+.B "\-p <buildscript>"
+Read the package script \fI<buildscript>\fP instead of the default (\fIPKGBUILD\fP).
.SH CONFIGURATION
Configuration options are stored in \fI/etc/makepkg.conf\fP. This file is parsed
diff --git a/scripts/gensync b/scripts/gensync
index 1ad33c0a..8a87d8f1 100755
--- a/scripts/gensync
+++ b/scripts/gensync
@@ -1,6 +1,6 @@
#!/bin/bash
-myver='2.4'
+myver='2.4.1'
usage() {
echo "gensync $myver"
diff --git a/scripts/makepkg b/scripts/makepkg
index f6ca8658..b55ef576 100755
--- a/scripts/makepkg
+++ b/scripts/makepkg
@@ -1,6 +1,6 @@
#!/bin/bash
-myver='2.4'
+myver='2.4.1'
startdir=`pwd`
[ -f /etc/makepkg.conf ] && source /etc/makepkg.conf
@@ -48,7 +48,7 @@ checkdeps() {
usage() {
echo "makepkg version $myver"
- echo "usage: $0 [options] [build_script]"
+ echo "usage: $0 [options]"
echo "options:"
echo " -c, --clean Clean up work files after build"
echo " -C, --cleancache Clean up source files from the cache"
@@ -58,6 +58,7 @@ usage() {
echo " -i, --install Install package after successful build"
echo " -f, --force Overwrite existing package"
echo " -w <destdir> Write package to <destdir> instead of the working dir"
+ echo " -p <buildscript> Use an alternate build script (instead of PKGBUILD)"
echo " -h, --help This help"
echo
echo " if build_script is not specified, makepkg will look for a PKGBUILD"
@@ -88,10 +89,10 @@ while [ "$#" -ne "0" ]; do
--force) FORCE=1 ;;
--*)
usage
- exit 1
+ exit 1
;;
-*)
- while getopts "cCsbdifw:-" opt; do
+ while getopts "cCsbdifp:w:-" opt; do
case $opt in
c) CLEANUP=1 ;;
C) CLEANCACHE=1 ;;
@@ -102,7 +103,9 @@ while [ "$#" -ne "0" ]; do
f) FORCE=1 ;;
w)
PKGDEST=$OPTARG
- shift
+ ;;
+ p)
+ BUILDSCRIPT=$OPTARG
;;
-)
OPTIND=0
@@ -110,15 +113,13 @@ while [ "$#" -ne "0" ]; do
;;
*)
usage
+ exit 1
;;
esac
done
;;
*)
- if [ "$#" -ne "1" ]; then
- usage
- fi
- BUILDSCRIPT=$1
+ true
;;
esac
shift
@@ -189,6 +190,7 @@ if [ `type -p pacman` -a "$NODEPS" = "0" ]; then
for pkgdir in $candidates; do
if [ -f $pkgdir/PKGBUILD ]; then
cd $pkgdir
+ echo makepkg -i -c -b -w $PKGDEST
makepkg -i -c -b -w $PKGDEST
if [ $? -eq 0 ]; then
success=1
diff --git a/scripts/makeworld b/scripts/makeworld
index ce634071..85051bda 100755
--- a/scripts/makeworld
+++ b/scripts/makeworld
@@ -1,7 +1,7 @@
#!/bin/bash
toplevel=`pwd`
-version="2.4"
+version="2.4.1"
usage() {
echo "makeworld version $version"
diff --git a/src/pacman.c b/src/pacman.c
index aa1b7578..efbf2c17 100644
--- a/src/pacman.c
+++ b/src/pacman.c
@@ -405,12 +405,6 @@ int pacman_sync(pacdb_t *db, PMList *targets)
/*fprintf(stderr, "%s: not found in sync db. skipping.", local->name);*/
continue;
}
- /* check if package should be ignored */
- if(is_in((char*)i->data, pmo_ignorepkg)) {
- fprintf(stderr, ":: %s: ignoring package upgrade\n", (char*)i->data);
- ignore = 1;
- continue;
- }
/* compare versions and see if we need to upgrade */
cmp = rpmvercmp(local->version, sync->pkg->version);
if(cmp > 0) {
@@ -422,6 +416,12 @@ int pacman_sync(pacdb_t *db, PMList *targets)
} else if(cmp == 0) {
/* versions are identical */
continue;
+ } else if(is_in((char*)i->data, pmo_ignorepkg)) {
+ /* package should be ignored (IgnorePkg) */
+ fprintf(stderr, ":: %s-%s: ignoring package upgrade (%s)\n",
+ local->name, local->version, sync->pkg->version);
+ ignore = 1;
+ continue;
} else {
PMList *lp = NULL;
int found = 0;
diff --git a/src/pacman.h b/src/pacman.h
index f6581bfe..0f70ffe2 100644
--- a/src/pacman.h
+++ b/src/pacman.h
@@ -22,7 +22,7 @@
#define _PAC_PACMAN_H
#ifndef PACVER
-#define PACVER "2.4"
+#define PACVER "2.4.1"
#endif
#ifndef PKGDIR